# UniTAP.dev.modules.dut_tests.dut_default_params.hdmi_electrical_tests

class HdmiElectricalTestParam:

Class `DpElectricalTestParam` describes parameters for DP electrical tests.

- Test timeout, in milliseconds `timeout`.
- HDMI power line voltage low limit, in millivolts `power_low_limit`.
- HDMI power line voltage high limit, in millivolts `power_high_limit`.
- HDMI link line voltage low limit, in millivolts `link_low_limit`.
- HDMI link line voltage high limit, in millivolts `link_high_limit`.
- HDMI HPD logical zero voltage level, lower limit, in millivolts `hpd_zero_low_limit`.
- HDMI HPD logical zero voltage level, higher limit, in millivolts `hpd_zero_high_limit`.
- HDMI HPD logical one voltage level, lower limit, in millivolts `hpd_one_low_limit`.
- HDMI HPD logical one voltage level, higher limit, in millivolts `hpd_one_high_limit`.
- DDC Line voltage low limit, in millivolts `ddc_low_limit`.
- DDC Line voltage high limit, in millivolts `_ddc_high_limit`.
- CCE Line logical zero voltage level, lower limit, in millivolts `cec_zero_low_limit`.
- CCE Line logical zero voltage level, higher limit, in millivolts `cec_zero_high_limit`.
- CCE Line logical one voltage level, lower limit, in millivolts `cec_one_low_limit`.
- CCE Line logical one voltage level, higher limit, in millivolts `cec_one_high_limit`.

HdmiElectricalTestParam(json_obj)
timeout: int

Set and get test timeout, in milliseconds.

###### Returns:

> object of int type

power_low_limit: int

Set and get HDMI power line voltage low limit.

###### Returns:

> object of int type

power_high_limit: int

Set and get HDMI power line voltage high limit.

###### Returns:

> object of int type

link_low_limit: int

Set and get HDMI link line voltage low limit.

###### Returns:

> object of int type

link_high_limit: int

Set and get HDMI link line voltage high limit.

###### Returns:

> object of int type

hpd_zero_low_limit: int

Set and get HDMI HPD logical zero voltage level, lower limit.

###### Returns:

> object of int type

hpd_zero_high_limit: int

Set and get HDMI HPD logical zero voltage level, higher limit.

###### Returns:

> object of int type

hpd_one_low_limit: int

Set and get HDMI HPD logical one voltage level, lower limit.

###### Returns:

> object of int type

hpd_one_high_limit: int

Set and get HDMI HPD logical one voltage level, higher limit.

###### Returns:

> object of int type

ddc_low_limit: int

Set and get DDC Line voltage low limit.

###### Returns:

> object of int type

ddc_high_limit: int

Set and get DDC Line voltage high limit.

###### Returns:

> object of int type

cec_zero_low_limit: int

Set and get CCE Line logical zero voltage level, lower limit.

###### Returns:

> object of int type

cec_zero_high_limit: int

Set and get CCE Line logical zero voltage level, higher limit.

###### Returns:

> object of int type

cec_one_low_limit: int

Set and get CCE Line logical one voltage level, lower limit.

###### Returns:

> object of int type

cec_one_high_limit: int

Set and get CCE Line logical one voltage level, higher limit.

###### Returns:

> object of int type